List Chart of Accounts
curl --request GET \
--url https://api.meetcampfire.com/coa/api/account \
--header 'Authorization: <api-key>'import requests
url = "https://api.meetcampfire.com/coa/api/account"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.meetcampfire.com/coa/api/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"reconciliation_ending_date": "2023-12-25",
"reconciliation_ending_balance": 0,
"balance_ytd": 0,
"name_and_number": "<string>",
"parent_name_and_number": "<string>",
"sort_key": "<string>",
"has_associated_data": true,
"last_modified_at": "2023-11-07T05:31:56Z",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"currency": "<string>",
"name": "<string>",
"nickname": "<string>",
"description": "<string>",
"include_in_eliminations": true,
"include_in_revaluations": true,
"protected": true,
"skip_subledger_validation": true,
"last_recompute_balance_at": "2023-11-07T05:31:56Z",
"lock_recompute_balance_key": "<string>",
"current_balance": 0,
"current_balance_book": 0,
"lineage_array": [
"<string>"
],
"parent": 123,
"parent_bank_account": 123,
"default_department": 123,
"default_tags": [
123
]
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Company Objects
List Chart of Accounts
Lists the chart of accounts (GL accounts). Each account includes metadata about its parent account and its full lineage (the ordered chain of ancestor accounts), so parent/child account relationships can be reconstructed from the response.
GET
/
coa
/
api
/
account
List Chart of Accounts
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
⌘I